﻿function threadUpdated(th, cx) {
/* 機能を有効にしたい場合、下の各行頭//を削除してください  */
//  egnoreNewNGRes(th, cx); //新着がNGのみの場合、未読状態を解除
//  redirectNewsThread(th, cx); //速報headlineスレを開くと本スレにリダイレクト ※パーミッションにSを追加してください ※速報headlineスレのログは削除されません。
//  if(!cx.error && cx.numNewRes > 0 && checkThUrl(th)) idConditionalNG(th, cx); //閾値以上書き込みIDをNG判定
}
function panelCreated(th) {
/* 機能を有効にしたい場合、下の各行頭//を削除してください  */
//  openWritePanel(th); //開いたスレが2chの場合、書き込みパネルを自動で開く
}

function egnoreNewNGRes(th, cx) {
  var newResi = th.localResCount - cx.numNewRes;
  for (var i = newResi; i < th.localResCount; i++) {
    var res = th.getRes(i);
    if (res && !res.ng) {
      return;
    }
  }
  th.resetUnread();
}
function redirectNewsThread(th, cx) {
  if (!cx.error && th.board.key.startsWith('bbynews')) {
    var u = th.getRes(1).links[0];
    v2c.openURL(u,true,false,false);
  }
}
function openWritePanel(th) {
  if (
      th.bbs.is2ch
      /* 2ｃｈ以外でも有効にしたい場合、下の各行頭//を削除してください  */
      //  || th.bbs.is2cheq　//スレが2ch互換板の場合
      //  || th.bbs.shitaraba　//スレがしたらばの場合
      //  || th.bbs.machi　//スレがまちBBSの場合
      //  || th.bbs.twitter　//スレがTwitterの場合
      ) {
    th.mayOpenWritePanel();
  }
}

// idConditionalNG実行URLチェック
function checkThUrl(th) {
  // 実行する対象URL、スレURLに含まれるか(th.url.toString().indexOf() > 0)を
  // チェックするので ".2ch.net/test/read.cgi/news/" という風に
  // 複数あるときは , で区切る
  // 2chすべての板を対象にするなら ".2ch.net/test/read.cgi/" など
  // すべてを対象にするなら "." など
  // ↓は既にニュー速と嫌儲を登録、必要ないなら削除
  var target = [".2ch.net/test/read.cgi/news/", ".2ch.net/test/read.cgi/poverty/"];
  
  var u = th.url.toString();
  var tlen, i;
  if ((tlen = target.length) > 0) {
    for (i=0; i<tlen; i++) {
      if (u.indexOf(target[i]) > 0) {
        return true;
      }
    }
  }
  return false;
}

// IDのNG判定
function idConditionalNG(th, cx) {
  /* 設定 */
  // idCountがこの値を超えたらそのIDをNG 初期値20
  var threshold = 20;
  // trueなら透明NGID、falseなら通常NGID
  var set_t = false;
  // IDの長さがこの値を超えたらチェック対象にする
  var inflen = 7;
  /* 設定終わり */
  
  var srtnum = th.localResCount - cx.numNewRes;
  var res, i;
  var rflag = false;
  for (i=srtnum; i<th.localResCount; i++) {
    res = th.getRes(i);
    if (res != null && !res.ng && res.id && res.id.length() > inflen && res.idCount > threshold) {
      res.addNGID(set_t);
      rflag = true;
    }
  }
  // 追加があったら再チェック
  if (rflag) {
    v2c.resPane.checkNG(th);// ←重いようならth.boardをthにしてそのスレだけで再チ
  }
}
